local Gnoll = _G.Gnoll
local GL = Gnoll.Locale
local GLW = Gnoll.WoWLocale

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

Hauptfenster = CreateFrame("Frame","GUIHauptfenster",UIParent)
Hauptfenster:SetPoint("CENTER",0,0)
Hauptfenster:SetWidth(785)
Hauptfenster:SetHeight(560)
Hauptfenster:SetBackdrop(
        {
            bgFile= "Interface/DialogFrame/UI-DialogBox-Background-Dark",
            edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border",
            tile = true, tileSize = 32, edgeSize = 32,
            insets = {left = 4, right = 4, top = 4, bottom = 4}
        })
Hauptfenster:SetMovable(true)
Hauptfenster:EnableMouse(true)
Hauptfenster:RegisterForDrag("LeftButton")
Hauptfenster:SetScript("OnDragStart", Hauptfenster.StartMoving)
Hauptfenster:SetScript("OnDragStop", Hauptfenster.StopMovingOrSizing)
Hauptfenster:Hide() 

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

WishFrame = CreateFrame("FRAME", "WishFrame", Hauptfenster)
WishFrame:ClearAllPoints()
WishFrame:SetPoint("TOPLEFT", Hauptfenster, 5, -55)
WishFrame:SetWidth(775)
WishFrame:SetHeight(470)
WishFrame:SetBackdrop(
	{
		bgFile= "Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Parchment-Horizontal-Desaturated",
		edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border",
		tile = false, tileSize = 32, edgeSize = 32,
		insets = {left = 4, right = 4, top = 4, bottom = 4}
	})
WishFrame:Hide()
CreateWishButtons(WishFrame)

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

ItemFrame = CreateFrame("FRAME", "ItemFrame", Hauptfenster)
ItemFrame:ClearAllPoints()
ItemFrame:SetPoint("TOPLEFT", Hauptfenster, 5, -55)
ItemFrame:SetWidth(775)
ItemFrame:SetHeight(470)
ItemFrame:SetBackdrop(
	{
		bgFile= "Interface\\ACHIEVEMENTFRAME\\UI-Achievement-Parchment-Horizontal",
		edgeFile = "Interface/DialogFrame/UI-Dialogbox-Border",
		tile = false, tileSize = 32, edgeSize = 32,
		insets = {left = 4, right = 4, top = 4, bottom = 4}
	})
CreateItemButtons(ItemFrame)

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

CloseButton = CreateFrame("Button", nil, Hauptfenster)
CloseButton:SetPoint("TOPRIGHT", Hauptfenster, -1, -1)
CloseButton:SetSize(30,30)
CloseButton:SetScript("OnMouseDown", function(self, button)
Hauptfenster:Hide()
end)

local ntex = CloseButton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-MinimizeButton-Up")
	ntex:SetAllPoints()
CloseButton:SetNormalTexture(ntex)

local htex = CloseButton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetAllPoints()
CloseButton:SetHighlightTexture(htex)

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

WishFrameButton = CreateFrame("Button", "WishFrameButton", Hauptfenster)
WishFrameButton:SetPoint("BottomLeft", Hauptfenster, 60, 13)
WishFrameButton:SetSize(80,25)
WishFrameButton:SetText(GL["Wishlist"])
WishFrameButton:SetNormalFontObject("GameFontNormal")

local htex = WishFrameButton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetAllPoints()
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	WishFrameButton:SetHighlightTexture(htex)
	
local ptex = WishFrameButton:CreateTexture()
	ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
	ptex:SetAllPoints()
	ptex:SetTexCoord(0, 0.625, 0, 0.6875)
	WishFrameButton:SetPushedTexture(ptex)

local ntex = WishFrameButton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
	ntex:SetAllPoints()
	ntex:SetTexCoord(0, 0.625, 0, 0.6875)
	WishFrameButton:SetNormalTexture(ntex)

WishFrameButton:Show()

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

ItemFrameButton = CreateFrame("Button", "ItemFrameButton", Hauptfenster)
ItemFrameButton:SetPoint("BottomLeft", Hauptfenster, 60, 13)
ItemFrameButton:SetSize(80,25)
ItemFrameButton:SetText(GL["Loot"])
ItemFrameButton:SetNormalFontObject("GameFontNormal")

local ntex = ItemFrameButton:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-Panel-Button-Up")
	ntex:SetAllPoints()
	ntex:SetTexCoord(0, 0.625, 0, 0.6875)
	ItemFrameButton:SetNormalTexture(ntex)

local htex = ItemFrameButton:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetAllPoints()
	htex:SetTexCoord(0, 0.625, 0, 0.6875)
	ItemFrameButton:SetHighlightTexture(htex)
	
local ptex = ItemFrameButton:CreateTexture()
	ptex:SetTexture("Interface/Buttons/UI-Panel-Button-Down")
	ptex:SetAllPoints()
	ptex:SetTexCoord(0, 0.625, 0, 0.6875)
	ItemFrameButton:SetPushedTexture(ptex)
	
ItemFrameButton:Hide()

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

WishFrameButton:SetScript("OnClick", function(self, button)
	ItemFrameButton:Show()
	WishFrameButton:Hide()
	ItemFrame:Hide()
	WishFrame:Show()
	ShowWishPage(1)
end)


ItemFrameButton:SetScript("OnClick", function(self, button)
	ItemFrameButton:Hide()
	WishFrameButton:Show()
	ItemFrame:Show()
	WishFrame:Hide()
end)

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

ItemSeiteLinks = CreateFrame("Button", "ItemLinks", ItemFrame)
ItemSeiteLinks:SetPoint("BottomLeft", ItemFrame, 20, -25)
ItemSeiteLinks:SetSize(30,30)
ItemSeiteLinks:Hide()

local ntex = ItemSeiteLinks:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-PrevPage-Up")
	ntex:SetAllPoints()
ItemSeiteLinks:SetNormalTexture(ntex)

local htex = ItemSeiteLinks:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetAllPoints()
ItemSeiteLinks:SetHighlightTexture(htex)

---

ItemSeiteRechts = CreateFrame("Button", "ItemRechts", ItemFrame)
ItemSeiteRechts:SetPoint("BottomRight", ItemFrame, -20, -25)
ItemSeiteRechts:SetSize(30,30)
ItemSeiteRechts:Hide()

local ntex = ItemSeiteRechts:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-NextPage-Up")
	ntex:SetAllPoints()
ItemSeiteRechts:SetNormalTexture(ntex)

local htex = ItemSeiteRechts:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetAllPoints()
ItemSeiteRechts:SetHighlightTexture(htex)

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

WishSeiteLinks = CreateFrame("Button", "WishLinks", WishFrame)
WishSeiteLinks:SetPoint("BottomLeft", WishFrame, 20, -25)
WishSeiteLinks:SetSize(30,30)
WishSeiteLinks:Hide()

local ntex = WishSeiteLinks:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-PrevPage-Up")
	ntex:SetAllPoints()
WishSeiteLinks:SetNormalTexture(ntex)

local htex = WishSeiteLinks:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetAllPoints()
WishSeiteLinks:SetHighlightTexture(htex)

----

WishSeiteRechts = CreateFrame("Button", "WishRechts", WishFrame)
WishSeiteRechts:SetPoint("BottomRight", WishFrame, -20, -25)
WishSeiteRechts:SetSize(30,30)
WishSeiteRechts:Hide()
WishSeiteRechts:SetParent(WishFrame)

local ntex = WishSeiteRechts:CreateTexture()
	ntex:SetTexture("Interface/Buttons/UI-SpellbookIcon-NextPage-Up")
	ntex:SetAllPoints()
WishSeiteRechts:SetNormalTexture(ntex)

local htex = WishSeiteRechts:CreateTexture()
	htex:SetTexture("Interface/Buttons/UI-Panel-Button-Highlight")
	htex:SetAllPoints()
WishSeiteRechts:SetHighlightTexture(htex)

-----------------------------------------------------------------
-----------------------------------------------------------------
-----------------------------------------------------------------

DDME = CreateFrame("Button", "DDME", Hauptfenster, "UIDropDownMenuTemplate")
DDME:SetPoint("TOPLEFT", 10, -20)
UIDropDownMenu_SetWidth(DDME, 120);
UIDropDownMenu_SetButtonWidth(DDME, 120)
UIDropDownMenu_SetSelectedID(DDME, 1)
UIDropDownMenu_JustifyText(DDME, "LEFT")
UIDropDownMenu_SetText(DDME, GL["Addon"], 0)
 
DDMI = CreateFrame("Button", "DDMI", Hauptfenster, "UIDropDownMenuTemplate")
DDMI:SetPoint("TOPLEFT", 150, -20)
UIDropDownMenu_SetWidth(DDMI, 140);
UIDropDownMenu_SetButtonWidth(DDMI, 140)
UIDropDownMenu_SetSelectedID(DDMI, 1)
UIDropDownMenu_JustifyText(DDMI, "LEFT")
UIDropDownMenu_SetText(DDMI, GL["Instance"], 0)
 
DDMB = CreateFrame("Button", "DDMB", Hauptfenster, "UIDropDownMenuTemplate")
DDMB:SetPoint("TOPLEFT", 310, -20)
UIDropDownMenu_SetWidth(DDMB, 130);
UIDropDownMenu_SetButtonWidth(DDMB, 130)
UIDropDownMenu_SetSelectedID(DDMB, 1)
UIDropDownMenu_JustifyText(DDMB, "LEFT")
UIDropDownMenu_SetText(DDMB, GL["Boss"], 0)

DDMD = CreateFrame("Button", "DDMD", Hauptfenster, "UIDropDownMenuTemplate")
DDMD:SetPoint("TOPLEFT", 460, -20)
UIDropDownMenu_SetWidth(DDMD, 75);
UIDropDownMenu_SetButtonWidth(DDMD, 75)
UIDropDownMenu_SetSelectedID(DDMD, 1)
UIDropDownMenu_JustifyText(DDMD, "LEFT")
UIDropDownMenu_SetSelectedValue(DDMD, 0)
UIDropDownMenu_SetText(DDMD, GL["Difficulty"], 0)

DDMC = CreateFrame("Button", "DDMC", Hauptfenster, "UIDropDownMenuTemplate")
DDMC:SetPoint("TOPLEFT", 555, -20)
UIDropDownMenu_SetWidth(DDMC, 75);
UIDropDownMenu_SetButtonWidth(DDMC, 75)
UIDropDownMenu_SetSelectedID(DDMC, 1)
UIDropDownMenu_JustifyText(DDMC, "LEFT")
UIDropDownMenu_SetText(DDMC, GL["Class"], 0)

DDMS = CreateFrame("Button", "DDMS", Hauptfenster, "UIDropDownMenuTemplate")
DDMS:SetPoint("TOPLEFT", 650, -20)
UIDropDownMenu_SetWidth(DDMS, 75);
UIDropDownMenu_SetButtonWidth(DDMS, 75)
UIDropDownMenu_SetSelectedID(DDMS, 1)
UIDropDownMenu_JustifyText(DDMS, "LEFT")
UIDropDownMenu_SetText(DDMS, GL["Spec"], 0)